Bug 1873058 - Missing to account for EndpointSlices on the KuryrLoadBalancer CRD
Summary: Missing to account for EndpointSlices on the KuryrLoadBalancer CRD
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Maysa Macedo
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 09:41 UTC by Maysa Macedo
Modified: 2020-09-09 13:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
test results (14.39 MB, application/gzip)
2020-09-09 13:11 UTC, rlobillo
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 765 None closed Bug 1873058: Convert KuryrLoadBalancer subsets CRD to EndpointSlice 2020-09-07 14:27:40 UTC
Github openshift kuryr-kubernetes pull 329 None closed Bug 1873058: Convert KuryrLoadBalancer subsets CRD to EndpointSlice 2020-09-07 14:27:39 UTC

Description Maysa Macedo 2020-08-27 09:41:09 UTC
Description of problem:

To facilitate the transition to handling EndpointSlices resources in the future we must ensure the current Endpoints subsets information being hold on the KuryrLoadBalancer CRD is re-worked to the EndpointSlices format.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 rlobillo 2020-09-09 13:09:31 UTC
Verified on OCP4.6.0-0.nightly-2020-09-07-224533 over OSP16.1 (RHOS-16.1-RHEL-8-20200831.n.1) with OVN octavia.

All NP, conformance and tempest tests run with expected results.

Logs attached.

Comment 4 rlobillo 2020-09-09 13:11:12 UTC
Created attachment 1714277 [details]
test results


Note You need to log in before you can comment on or make changes to this bug.